
# iOS Camera Overlay Example Using AVCaptureSession


Source: thanks! 
http://www.musicalgeometry.com/?p=1273


# ViewController

Mostly basic stuff here. The one interesting note is that we are creating an instance of a CaptureSessionManager class which is a custom made class to handle the AVCaptureSession. While it is not required to do this work in a separate class, it is a clean way to do it and provides for a good place to expand the capture session to do other things like analyze the live video output data stream for example.

Using the methods of the CaptureSessionManager class we turn on the video input and then turn on the preview layer and add it to the view controller’s view’s layer (man is that is a mouthful). The rest of the code is just adding the image, button and label and a button method that shows the label for two seconds when pressed.

# CaptureSessionManager

This is a pretty basic class from which you could build from to do a lot, but the basics are all we need for this example. In the header we define a couple properties, one for the session and one for the preview layer, and a couple of methods, one to start video input and one to turn on the preview layer.

In the init method all we do is initialize the session with:

[self setCaptureSession:[[AVCaptureSession alloc] init]];

The addVideoPreviewLayer and addVideoInput methods are similarly simple. The addVideoPreviewLayer method just sets up the preview layer. The addVideoInput method gets the device (with some error checking which is always a good idea, right?) and then sets the input using that device.

# More

I mentioned that this method gives you more power. That power comes from the ability to get and process the video output data stream using AVCaptureVideoDataOutput rather than having to take screenshots using an undocumented API and then process the resultant image as you had to do in the past. A great example of this is shown in the WWDC 2010 Session 409 video where they show you how to detect a certain color in the video output. The sample project used in that video, called FindMyiCone, is available in the source code for WWDC 2010. Everyone in the iOS developer program should have access to both of those through in the dev center.
